# Read our TOU

 Read our Terms of Use before using the website. It is located on the wiki.

 # Bug Reporting

 Report bugs or glitches you encounter: https://forms.gle/2huHvJL7zfUNc5KT7

 # Link
https://kingstephen-brown.vercel.app/
